import type { Intent } from '../Typography/Typography.types';
export declare const focusBlue: string;
/**
 * Using box-shadow only, will not change size with a border.
 */
export declare const focusable: import("styled-components").RuleSet<object>;
declare const offsets: {
    readonly inside: "-2px";
    readonly ontop: "0px";
    readonly outside: "1px";
};
/**
 * Uses a 2px `outline`. Can specify where it is painted relative to the border.
 * - inside: Inside the box model. Useful for overflow property clipping the outline.
   - ontop: Right on top the border stroke, matches spec.
   - outside: Have a gap between the border stroke and focus outline stroke
 */
export declare function getGapOutlineFocus($offset?: keyof typeof offsets): import("styled-components").RuleSet<object>;
export declare const defaultTransition: import("styled-components").RuleSet<object>;
export declare function getEllipsis(): import("styled-components").RuleSet<object>;
/**
 * `border` is used instead of `outline` intentionally - as `outline` can't handle `border-radius`
 * (rounded elements will still have square outline)
 */
export declare function getFocus(): import("styled-components").RuleSet<object>;
/**
 * Useful when overflow could clip the outer pixel.
 */
export declare function getFocusInset(): import("styled-components").RuleSet<object>;
export declare function getLineClamp(lines?: number): import("styled-components").RuleSet<{
    intent?: Intent | undefined;
}>;
export {};
